<template>
  <main class="teams pt-2 pl-3 pb-2">
    <h1>Teams</h1>
    <ul class="mt-4">
    <router-link to="/fencers">
      <teams-list-vue v-for="team in teams" :key="team.id" :team="team"/>
    </router-link>
    </ul>
  </main>
</template>

<script>
// @ is an alias to /src
import TeamsListVue from "../components/TeamsList.vue";
import { TeamsService } from "../services/TeamsService";

export default {
  name: "teams",
  components: {
    TeamsListVue
  },
  data() {
    return {
      teams: []
    };
  },
  mounted() {
    const service = new TeamsService();
    service
      .findAll()
      .then(data => (this.teams = data))
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style>
</style>
